> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Non Insurance Payers V 1 Update

PATCH https://api.taigabilling.com/api/non-insurance-payers/v1/{non_insurance_payer_id}
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/non-insurance-payers-v-1/non-insurance-payers-v-1-update

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `non_insurance_payer_id` (string, required)

### Body (application/json)

This endpoint expects a non-insurance-payersv1NonInsurancePayerUpdateRequest.

- `name` (string, optional, nullable) — Max 50 characters allowed
- `description` (non-insurance-payersv1NonInsurancePayerDescriptionUpdate, optional, nullable)
- `category` (non-insurance-payersv1NonInsurancePayerCategoryUpdate, optional, nullable)
- `payer_id` (non-insurance-payersv1NonInsurancePayerPayerIdUpdate, optional, nullable)
- `address` (non-insurance-payersv1NonInsurancePayerAddressUpdate, optional, nullable)

## Response

### 200

- `non_insurance_payer_id` (string, required)
- `name` (string, required)
- `enabled` (boolean, required)
- `clinical_trials` (list of clinical-trialsv1ClinicalTrial, required)
- `description` (string, optional, nullable)
- `category` (string, optional, nullable)
- `payer_id` (string, optional, nullable) — The identifier used to route claims to this payer. Required in order to submit an 837 to this payer. Must be between 2 and 80 characters.
- `address` (StreetAddressShortZip, optional, nullable)

## Errors

### 404 Not Found Error

- `NonInsurancePayers_v1_updateRequestNotFoundError`
  - NonInsurancePayersV1UpdateRequestNotFoundError0

### 409 Conflict Error

- `NonInsurancePayers_v1_updateRequestConflictError`
  - NonInsurancePayersV1UpdateRequestConflictError0

## Types

### non-insurance-payersv1NonInsurancePayerDescriptionUpdate

- NonInsurancePayersv1NonInsurancePayerDescriptionUpdate0
- NonInsurancePayersv1NonInsurancePayerDescriptionUpdate1

### non-insurance-payersv1NonInsurancePayerCategoryUpdate

- NonInsurancePayersv1NonInsurancePayerCategoryUpdate0
- NonInsurancePayersv1NonInsurancePayerCategoryUpdate1

### non-insurance-payersv1NonInsurancePayerPayerIdUpdate

- NonInsurancePayersv1NonInsurancePayerPayerIdUpdate0
- NonInsurancePayersv1NonInsurancePayerPayerIdUpdate1

### non-insurance-payersv1NonInsurancePayerAddressUpdate

- NonInsurancePayersv1NonInsurancePayerAddressUpdate0
- NonInsurancePayersv1NonInsurancePayerAddressUpdate1

### clinical-trialsv1ClinicalTrial

- `clinical_trial_id` (string, required)
- `clinical_trial_number` (string, required) — Must be 8 characters long
- `is_active` (boolean, required)
- `name` (string, required)
- `non_insurance_payer_id` (string, required)
- `clinical_trial_phase` (enum, optional, nullable)
  - Allowed values: `Phase 1`, `Phase 2`, `Phase 3`

### StreetAddressShortZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `address2` (string, optional, nullable)
- `zip_plus_four_code` (string, optional, nullable) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4

### NonInsurancePayersV1UpdateRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `EntityConflictError`
- `content` (EntityNotFoundErrorMessage, optional)

### NonInsurancePayersV1UpdateRequestConflictError0

- `errorName` (enum, optional)
  - Allowed values: `EntityConflictError`
- `content` (EntityConflictErrorMessage, optional)

### NonInsurancePayersv1NonInsurancePayerDescriptionUpdate0

- `type` (enum, required)
  - Allowed values: `remove`

### NonInsurancePayersv1NonInsurancePayerDescriptionUpdate1

- `type` (enum, required)
  - Allowed values: `set`
- `value` (string, optional)

### NonInsurancePayersv1NonInsurancePayerCategoryUpdate0

- `type` (enum, required)
  - Allowed values: `remove`

### NonInsurancePayersv1NonInsurancePayerCategoryUpdate1

- `type` (enum, required)
  - Allowed values: `set`
- `value` (string, optional)

### NonInsurancePayersv1NonInsurancePayerPayerIdUpdate0

- `type` (enum, required)
  - Allowed values: `remove`

### NonInsurancePayersv1NonInsurancePayerPayerIdUpdate1

- `type` (enum, required)
  - Allowed values: `set`
- `value` (string, optional)

### NonInsurancePayersv1NonInsurancePayerAddressUpdate0

- `type` (enum, required)
  - Allowed values: `remove`

### NonInsurancePayersv1NonInsurancePayerAddressUpdate1

- `type` (enum, required)
  - Allowed values: `set`
- `value` (StreetAddressShortZip, optional, nullable)

### EntityNotFoundErrorMessage

- `id` (string, required)

### EntityConflictErrorMessage

- `entity_name` (string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "non_insurance_payer_id": "string",
  "name": "Sunrise Foundation",
  "enabled": true,
  "clinical_trials": [
    {
      "clinical_trial_id": "string",
      "clinical_trial_number": "string",
      "is_active": true,
      "name": "string",
      "non_insurance_payer_id": "string",
      "clinical_trial_phase": "Phase 1"
    }
  ],
  "description": "string",
  "category": "string",
  "payer_id": "string",
  "address": {
    "address1": "string",
    "city": "string",
    "state": "AA",
    "zip_code": "string",
    "address2": "string",
    "zip_plus_four_code": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/non-insurance-payers/v1/non_insurance_payer_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```